Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Comments

Get Comment By Id
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"c6621177-ff5c-46cf-bfd1-43128b7a1ac6","url":null,"userId":"0c1c9270-567f-4b31-b6bf-93773dce14a6","userUrl":null,"parentCommentId":"6bd113e8-3161-4c5f-87fd-f91478b9db86","parentCommentUrl":null,"creationDateTime":"2026-10-20T14:38:57.69273+00:00","lastModifiedDateTime":null,"medias":[{"id":"76b741a9-11e7-444e-8616-06b53a689460","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"972f38b3-4f07-4fa2-8923-e333e2a6564e","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  ⯈ data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string